# ########################################################################
#
#  Ubit Binary Makefile
#  Ubit Project [elc::2002]
#  Author: Eric Lecolinet
#
#  Part of the Ubit Toolkit: A Brick Construction Game Model for Creating GUIs
#
#  (C) 1999-2002 Eric Lecolinet, ENST, 46 rue Barrault, 75013 Paris, France
#  WWW: http://www.enst.fr/~elc/ubit     Email: elc@enst.fr (subject: ubit)
#
# ***********************************************************************
# COPYRIGHT NOTICE : 
# THIS PROGRAM IS DISTRIBUTED WITHOUT ANY WARRANTY AND WITHOUT EVEN THE 
# IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. 
# YOU CAN REDISTRIBUTE IT AND/OR MODIFY IT UNDER THE TERMS OF THE GNU 
# GENERAL PUBLIC LICENSE AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION; 
# EITHER VERSION 2 OF THE LICENSE, OR (AT YOUR OPTION) ANY LATER VERSION.
# SEE FILES 'COPYRIGHT' AND 'COPYING' FOR MORE DETAILS.
# ########################################################################

include ../../ConfMake

#########################################################################

OBJS = hcomplex.o hnode.o hbrowser.o main.o
EXEC = hyp
EXECS = $(EXEC)

#########################################################################

default: $(EXECS)
	chmod a+r *
	chmod a+r+x $(EXECS)

$(EXEC): $(OBJS)
	$(CCC) $(CCFLAGS) $(LDFLAGS) -o $@ $(OBJS) ${LDLIBS}

install:
	-@cp -p -f $(EXECS) $(DESTBIN)

clean:
	-@$(RM) $(EXECS) *.o core *.bak .make.state 1>/dev/null 2>&1

